DCB-MAXRATE(8)

NAME
dcb-maxrate - show / manipulate port maxrate settings of the DCB (Data Center Bridging) subsystem

SYNOPSIS

dcb [ OPTIONS ] maxrate { COMMAND | help }

dcb maxrate show dev DEV [ tc-maxrate ]
dcb maxrate set dev DEV [ tc-maxrate RATE-MAP ]
RATE-MAP := [ RATE-MAP ] RATE-MAPPING
RATE-MAPPING := { TC | all }:RATE
TC := { 0 .. 7 }
RATE := { INTEGER[bit] | INTEGERKbit | INTEGERMib | ... }

DESCRIPTION
dcb maxrate is used to configure and inspect maximum rate at which traffic is allowed to egress from a given traffic class.

PARAMETERS
The following describes only the write direction, i.e. as used with the set command. For the show command, the parameter name is to be used as a simple keyword without further arguments. This instructs the tool to show the value of a given parameter. When no parameters are given, the tool shows the complete maxrate configuration.

tc-maxrate RATE-MAP
    RATE-MAP uses the array parameter syntax, see dcb(8) for details. Keys are TC indices, values are traffic rates in bits per second. The rates can use the notation documented in section PARAMETERS at tc(8). Note that under that notation, "bit" stands for bits per second whereas "b" stands for bytes per second. When showing, the command line option -i toggles between using decadic and ISO/IEC prefixes.

EXAMPLE & USAGE
Set rates of all traffic classes to 25Gbps, except for TC 6, which will have the rate of 100Gbps:

# dcb maxrate set dev eth0 tc-maxrate all:25Gbit 6:100Gbit Show what was set:

# dcb maxrate show dev eth0
tc-maxrate 0:25Gbit 1:25Gbit 2:25Gbit 3:25Gbit 4:25Gbit 5:25Gbit 6:100Gbit 7:25Gbit

EXIT STATUS
Exit status is 0 if command was successful or a positive integer upon failure.

SEE ALSO
dcb(8)

REPORTING BUGS
Report any bugs to the Network Developers mailing list <netdev@vger.kernel.org> where the development and maintenance is primarily done. You do not have to be subscribed to the list to send a message there.

AUTHOR
Petr Machata <me@pmachata.org>